1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice

upgrade 7.5.3 -> 7.5.4 file conflict error

Discussion in 'Plesk for Linux - 8.x and Older' started by Ivobieleveldt, Aug 25, 2005.

  1. Ivobieleveldt

    Ivobieleveldt Guest

    0
     
    Hi,

    I've been trying to upgrade plesk usining autoinstaller.

    Installation was aborted.

    The error I am getting is.
    ---

    Preparing for packages installation...
    ----- begin of output -----
    Installing /PSA_7.5.4/rpm_FedoraCore_1/base/psa-pre-keyupdate-7.5.4-fc1.build75050824.12.i586.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/base/psa-boost-1.32.0-6.i586.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/base/libidn-0.4.2-fc1.build75050824.12.i586.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/opt/bu/perl-IO-Ftp-0.05-fc1.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/opt/bu/perl-MIME-Lite-2.117-fc1.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/base/Mambo-4.5.2-7505.noarch.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/base/psa-7.5.4-fc1.build75050824.12.i586.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/base/psa-api-common-7.5.4-fc1.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/base/psa-api-cli-7.5.4-fc1.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/opt/api/psa-api-rpc-7.5.4-fc1.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/opt/api/psa-agent-1.3.5-75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/base/psa-key-7.5-fc1.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/base/psa-locale-base-en-US-7.5.4-fc1.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/opt/docs/psa-manual-custom-skin-guide-7.5.4-fc1.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_FedoraCore_1/opt/bu/psa-bu-7.5.4-fc1.build75050824.12.i586.rpm
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/css/general.css from install of psa-7.5.4-fc1.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-fc1.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/css/main/buttons.css from install of psa-7.5.4-fc1.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-fc1.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/css/main/custom.css from install of psa-7.5.4-fc1.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-fc1.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/css/main/layout.css from install of psa-7.5.4-fc1.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-fc1.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/css/top/layout.css from install of psa-7.5.4-fc1.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-fc1.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/images/top_body_bg.jpg from install of psa-7.5.4-fc1.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-fc1.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/info.xml from install of psa-7.5.4-fc1.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-fc1.build75041222.17

    Does anyone have any idea how to solve this?

    It seems so far nothing has been 'broken' , however, the upgrade was aborted.

    thanks,
    Ivo
     
  2. par4todd

    par4todd Guest

    0
     
    I am having this same issue.

    Here are my logs:

    Preparing for packages installation...
    ----- begin of output -----
    Installing /PSA_7.5.4/rpm_RedHat_9/base/Mambo-4.5.2-7505.noarch.rpm
    Installing /PSA_7.5.4/rpm_RedHat_9/base/psa-7.5.4-rh9.build75050824.12.i586.rpm
    Installing /PSA_7.5.4/rpm_RedHat_9/base/psa-api-common-7.5.4-rh9.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_RedHat_9/base/psa-api-cli-7.5.4-rh9.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_RedHat_9/opt/api/psa-api-rpc-7.5.4-rh9.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_RedHat_9/opt/api/psa-agent-1.3.5-75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_RedHat_9/base/psa-key-7.5-rh9.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_RedHat_9/base/psa-locale-base-en-US-7.5.4-rh9.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_RedHat_9/opt/bu/psa-bu-7.5.4-rh9.build75050824.12.i586.rpm
    Installing /PSA_7.5.4/rpm_RedHat_9/opt/docs/psa-manual-custom-skin-guide-7.5.4-rh9.build75050824.12.noarch.rpm
    Installing /PSA_7.5.4/rpm_RedHat_9/opt/modules/watchdog/psa-watchdog-1.0.0-rh9.build75050824.12.i586.rpm
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/css/general.css from install of psa-7.5.4-rh9.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-rh9.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/css/main/buttons.css from install of psa-7.5.4-rh9.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-rh9.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/css/main/custom.css from install of psa-7.5.4-rh9.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-rh9.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/css/main/layout.css from install of psa-7.5.4-rh9.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-rh9.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/css/top/layout.css from install of psa-7.5.4-rh9.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-rh9.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/images/top_body_bg.jpg from install of psa-7.5.4-rh9.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-rh9.build75041222.17
    file /usr/local/psa/admin/htdocs/skins/plesk.christmas/info.xml from install of psa-7.5.4-rh9.build75050824.12 conflicts with file from package psa-christmas-skin-7.5.1-rh9.build75041222.17
     
  3. Ivobieleveldt

    Ivobieleveldt Guest

    0
     
    I read somewhere about file conflicts on rpm upgrades

    This error message, from the spawned rpm process, informs you that a file will be delivered by a different package. It is up to you to decide to accept this change or not. More often than not it is okay to accept the change. If you think the change is acceptable use --force to have the new package accepted.

    However, I am somewhat hesitant to use --force , there must be another solution.
     
  4. Sippicom

    Sippicom Guest

    0
     
    hy i hve dothis an all is fine

    rpm -e psa-7.5.4-rh9.build75050824.12
     
  5. Ivobieleveldt

    Ivobieleveldt Guest

    0
     
    Hi,

    And what did you do after this?

    Start the auto updater again?

    regards,
    Ivo
     
  6. k.satirli

    k.satirli Guest

    0
     
    it seems as if plesk is having problems with the xmas skin.

    maybe try uninstalling that one?

    besides, Ive read in another thread some time ago that the xmas skin can give you problems, so better delete it :)
     
  7. par4todd

    par4todd Guest

    0
     
    This would be a great option if it were an option. You cant remove this in the updater section or the skins section, since it doesnt exist.

    Perhaps this would only be a bug for those who downloaded and used the xmas skin at one time.
     
  8. jamesyeeoc

    jamesyeeoc Guest

    0
     
    To uninstall the christmas skin package:

    rpm -e psa-christmas-skin

    or

    yum remove psa-christmas-skin


    I didn't even know they had any additional skins :( or did these come from a 3rd Party source (not Plesk/SWSoft)??
     
  9. Ivobieleveldt

    Ivobieleveldt Guest

    0
     
    okay, this is exactly what I did. Then I started the auto updater again via plesk. It seems that the upgrade succeeded without any problems.
     
  10. k.satirli

    k.satirli Guest

    0
     
    see! I told you. It's always the fault of Santa. He's making our servers complain...
     
  11. jamesyeeoc

    jamesyeeoc Guest

    0
     
    Yup, Santa = bad. Grinch = good = Me (according to my grand daughter!) Death to Santa and Christmas, Long Live THE GRINCH!!! (ok, now I know I need a vacation... :) )
     
  12. par4todd

    par4todd Guest

    0
     
    Thanks jamesyeeoc

    Worked perfectly for myself as well.

    Hope you get that long lost vacation your been waiting for :)
     
  13. jamesyeeoc

    jamesyeeoc Guest

    0
     
    Ok, so is anyone going to tell me where the Christmas skins came from?? Pleeeeaase!
     
  14. par4todd

    par4todd Guest

    0
     
    There was an optional download pack available through updater around christamas time last year, at some point they must have removed it from the updater.

    Maybe a new version will come out this year as well
     
  15. mian

    mian Guest

    0
     
    had same problem, just yum remove the psa-christmas skin package first.

     
Loading...